# Trial Licenses

All licenses have a Boolean field denoting whether it is a trial or not. This can be seen on the license summary as well as the license detail page:

![](https://content.gitbook.com/content/gLzurdfXUuKr9IziZWLz/blobs/1ZBYjcla56UJO7w394EA/z5JscyytIaQ%20D7zCx6Rcs_image.png)

{% hint style="info" %}
By using the `is_trial` Boolean designating a license is of type trial, you have a flag that allows you to configure your software in demo mode.
{% endhint %}

### Particularities of a Trial License

* Trial licenses are the only type of license that can be issued through the License API. In other words, your application can request and activate a trial license without the software vendor's involvement.
* By changing the Boolean value of the `is_trial` field from `True` to `False`, you can upgrade a license.
* Since any license type can also be a trial license, you might notice that a perpetual or a consumption license can also have an expiry date.

{% hint style="info" %}
When a license is a trial license, the expiry date for that license always refers to the trial expiry date.
{% endhint %}

### Setting a Trial Expiration Date Through the Vendor Platform

You can either set a fixed end date, or a set number of days from the first use of the trial license:

![](https://content.gitbook.com/content/gLzurdfXUuKr9IziZWLz/blobs/9Qr6agWZCKUzHUTSNYWv/rETnqLLdWcKKYVdDZz5c__image.png)

Before activation you have two options - you can either set `trial_days` OR `validity_period` on a trial license. If both are defined on a trial license, when this license is activated, `validity_period` will take precedence and License API will use this field and ignore `trial_days`. If only `trial_days` are defined, then `validity_period` will be calculated and used to determine license validity.

Use only `trial_days` if you want the `validity_period` to be calculated at the time of activation based on this number.

Use `validity_period` if you already know, even before activation, until when this license should be valid.

### “Upgrading” a Trial License

Any trial license can be edited to modify the license so that it is no longer a trial license, but a full license for your product. To do so:

{% stepper %}
{% step %}

### Open the license detail page

Open the license detail page for that given trial license and click "Edit License".
{% endstep %}

{% step %}

### Disable trial and save

Uncheck the "Is Trial" box, and click "Save".
{% endstep %}
{% endstepper %}

![](https://content.gitbook.com/content/gLzurdfXUuKr9IziZWLz/blobs/DyKkKMSiS6dsw7fjp7j7/URrJzlRide6RYLvbPnC%20m_image.png)

### Issuing New Trial Licenses

There are a few ways that a trial license can be issued:

* Through the vendor platform on [**Issuing New Licenses**](https://docs.licensespring.com/vendor-platform/licenses/issuing-new-licenses) view
* Through the License API using [**Trial Key**](https://docs.licensespring.com/license-api/trial-key) endpoint
* Through the Management API using [**Create Order**](https://docs.licensespring.com/management-api/order/create-order) endpoint


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.licensespring.com/license-entitlements/trial-licenses.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
